import { Subject } from 'rxjs';
import { UIActionTool,Util } from '@/utils';
import { Environment } from '@/environments/environment';
import WFIMService from '@/service/wfim/wfim-service';

/**
 * 重要事项审批 v1WFUI服务对象基类
 *
 * @export
 * @class IMWFv1WFUIServiceBase
 */
export default class IMWFv1WFUIServiceBase {

    /**
     * Creates an instance of  IMWFv1WFUIServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IMWFv1WFUIServiceBase
     */
    constructor(opts: any = {}) {
       
    }

        /**
     * 提交
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C4158(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '提交成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 送首席风险官审核
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C47(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '送首席风险官审核成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 提交
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C297(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '提交成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 送跨公司会签
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C37(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '送跨公司会签成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 送合规总监审批
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C44(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '送合规总监审批成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 送办结
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C8501(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '送办结成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 送会签
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C66(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '送会签成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 送业务协作
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C85(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '送业务协作成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 提交
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C35(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '提交成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }
        /**
     * 提交
     *
     * @param {any[]} args 当前数据
     * @param {any} context 行为附加上下文
     * @param {*} [params] 附加参数
     * @param {*} [$event] 事件源
     * @param {*} [xData]  执行行为所需当前部件
     * @param {*} [actionContext]  执行行为上下文
     * @param {*} [srfParentDeName] 父实体名称
     * @returns {Promise<any>}
     * @memberof IMWFv1WFUIService
     */
    public async IMWFv1_C9391(args: any[],context: any = {}, params?: any, $event?: any, xData?: any,actionContext?: any,srfParentDeName?:string) {
        let data: any = {};
        if(!args || args.length <1){
            console.error("错误,无数据传入");
        }
        let tempsrfmome:any = {srfwfmemo:args[0].srfwfmemo};
        const result:any = await xData.save(args,false);
        args = [result.data];
        const _args: any[] = Util.deepCopy(args);
        const _this: any = actionContext;
        const actionTarget: string | null = 'MULTIKEY';
        Object.assign(context, { wfim: '%wfimid%' });
        Object.assign(params, { wfimid: '%wfimid%' });
        Object.assign(params, { wfimname: '%wfimname%' })
        context = UIActionTool.handleContextParam(actionTarget,_args,context);
        data = UIActionTool.handleActionParam(actionTarget,_args,params);
        //转化表单界面数据
        const resultData:any = xData.service.handleRequestData('',actionContext.context,_args[0]);
        Object.assign(context,resultData.context,context);
        Object.assign(data,resultData.data,{viewparams:actionContext.viewparams});
        Object.assign(data,tempsrfmome);
        let parentObj:any = {srfparentdename:srfParentDeName?srfParentDeName:null,srfparentkey:srfParentDeName?context[srfParentDeName.toLowerCase()]:null};
        Object.assign(data,parentObj);
        Object.assign(context,parentObj);
        const backend = () => {
            const curService:WFIMService =  new WFIMService();
            curService.WFSubmit(context,data, true).then((response: any) => {
                if (!response || response.status !== 200) {
                    actionContext.$Notice.error({ title: '错误', desc: response.message });
                    return;
                }
                actionContext.$Notice.success({ title: '成功', desc: '提交成功！' });
                if(window.opener){
                    window.opener.postMessage({status:'OK',identification:'WF'},Environment.uniteAddress);
                    window.close();
                }
                return response;
            }).catch((response: any) => {
                if (!response || !response.status || !response.data) {
                    actionContext.$Notice.error({ title: '错误', desc: '系统异常！' });
                    return;
                }
                if (response.status === 401) {
                    return;
                }
                return null;
            });
        };
        backend();
    }

} 